| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Image
Image.Image

# Method Image.Image()->apply_curve()

Method apply_curve

  `object apply_curve(object array(int(0..255)`
  `object apply_curve(object array(int(0..255)`
  `object apply_curve(object stringchannel, object array(int(0..255)`

Description

  Apply a lookup-table on all pixels in an image. If only one curve is passed, use the same curve for red, green and blue. If 'channel' is specified, the curve is only applied to the specified channel.

Parameter `curve_r`
Parameter `curve_g`
Parameter `curve_b`
Parameter `curve`

  An array with 256 elements, each between 0 and 255. It is used as a look-up table, if the pixel value is 2 and curve[2] is 10, the new pixel value will be 10.

Parameter `channel`

  one of "red", "green", "blue", "value", "saturation" and "hue".

Returns

  a new image object

See also

  gamma , `* , modify_by_intensity